matrix:
  platform: ["ubuntu2204", "ubuntu2404"]
  bazel: ["7.x", "8.x", "9.x"]

tasks:
  verify_targets:
    name: "Verify build targets"
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      # p4c requires C++20. The .bazelrc in the source tree sets these flags,
      # but BCR presubmit builds don't load it.
      - "--cxxopt=-std=c++20"
      - "--host_cxxopt=-std=c++20"
    build_targets:
      - "@p4c//..."
